Thanks for using our site!

If you're looking to become an editor, please read the Becoming an Editor section carefully.

Module:Navbox/styles.css: Difference between revisions

From ranchstory
Jump to navigationJump to search
imported>Kiwibasket
mNo edit summary
imported>Kiwibasket
mNo edit summary
(No difference)

Revision as of 15:20, 26 June 2021

.navbox {
	border: 1px solid #aaa;
	box-sizing: border-box;
	width: 100%;
	margin: auto;
	clear: both;
	font-size: 88%;
	text-align: center;
	padding: 1px;
}

.navbox-inner,
.navbox-subgroup {
	width: 100%;
}

/*
.navbox + link + .navbox,
.navbox + link + style + .navbox,
.navbox + link + link + .navbox {
	margin-top: -1px;
}
*/

.navbox-group,
.navbox-abovebelow {
	text-align: center;
	/* Title and above/below styles */
	padding-left: 1em;
	padding-right: 1em;
	border-top: 1px solid white;
	border-bottom: 1px solid white;
}

.navbox-group > div,
.navbox-abovebelow > div {
	/* borders between categories */
	border-top: 1px solid white;
	border-bottom: 1px solid white;
}

th.navbox-group {
	/* Group style */
	white-space: nowrap;
	/* @noflip */
	text-align: right;
}

.navbox,
.navbox-subgroup {
	background: #fdfdfd;
}
.navbox-list {
	/* Must match background color */
	border-color: #fdfdfd;
}

.navbox th,
.navbox-title {
	/* Level 1 color */
	background: #eaeeff;
}

.navbox-abovebelow,
th.navbox-group,
.navbox-subgroup .navbox-title {
	/* Level 2 color */
	background: #ddddff;
}

.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-abovebelow {
	/* Level 3 color */
	background: #e6e6ff;
}

.navbox-even {
	/* Even row striping */
	background: #f7f7f7;
}

.navbox-odd {
	/* Odd row striping */
	background: transparent;
}

th.navbox-title1 {
	border-left: 2px solid #fdfdfd;
	width: 100%;
}
td.navbox-list1 {
	text-align: left;
	border-left-width: 2px;
	border-left-style: solid;
}

.navbox .hlist td dl,
.navbox .hlist td ol,
.navbox .hlist td ul,
.navbox td.hlist dl,
.navbox td.hlist ol,
.navbox td.hlist ul {
	/* Adjust hlist padding in navboxes */
	padding: 1em 0;
}

.navbox .hlist dd,
.navbox .hlist dt,
.navbox .hlist li {
	/* Nowrap list items in navboxes */
	white-space: nowrap;
}

.navbox .hlist dd dl,
.navbox .hlist dt dl,
.navbox .hlist li ol,
.navbox .hlist li ul {
	/* But allow parent list items to be wrapped */
	white-space: normal;
}

/* we can remove the link versions when [[:phab:T200206]] is fixed */
ol + style + .navbox,
ol + link + .navbox,
ul + style + .navbox,
ul + link + .navbox,
ol + style + style + .navbox,
ol + style + link + .navbox,
ol + link + style + .navbox,
ol + link + link + .navbox,
ul + style + style + .navbox,
ul + style + link + .navbox,
ul + link + style + .navbox,
ul + link + link + .navbox {
	/* Prevent lists from clinging to navboxes */
	margin-top: 0.5em;
}

/*********************

NAVBOX EDITS

*********************/

.theme-navbar {
    background-image:url('https://static.miraheze.org/ranchstorywiki/6/69/Ranchstoryclouds2.gif');
    background-repeat: repeat;
    background-attachment: fixed;
    background-color: #FFFFFF;
    border: 1px solid #FFFFFF;
    margin: 0 !important;
    padding-left: 4em;
}

.navbox-title > .mw-collapsible-toggle {
	padding-right: 0.5em;
}